[
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "CreateRole",
    "RelativePath": "api/Account/CreateRole",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "model",
        "Type": "phronCare.API.Models.Account.Role",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "DeleteRole",
    "RelativePath": "api/Account/DeleteRole/{roleId}",
    "HttpMethod": "DELETE",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "roleId",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "DeleteUser",
    "RelativePath": "api/Account/DeleteUser/{userId}",
    "HttpMethod": "DELETE",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "userId",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "GetAllRoles",
    "RelativePath": "api/Account/GetAllRoles",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "GetAllUsers",
    "RelativePath": "api/Account/GetAllUsers",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "GetRoleById",
    "RelativePath": "api/Account/GetRoleById/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "GetUserById",
    "RelativePath": "api/Account/GetUserById/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "UpdateRole",
    "RelativePath": "api/Account/UpdateRole/{id}",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.String",
        "IsRequired": true
      },
      {
        "Name": "model",
        "Type": "phronCare.API.Models.Account.Role",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AccountController",
    "Method": "UpdateUser",
    "RelativePath": "api/Account/UpdateUser/{id}",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.String",
        "IsRequired": true
      },
      {
        "Name": "model",
        "Type": "phronCare.API.Models.Account.UserUpdate",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.AccountTypeController",
    "Method": "GetAll",
    "RelativePath": "api/AccountType/GetAll",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.AccountTypeController",
    "Method": "GetByName",
    "RelativePath": "api/AccountType/GetByName/{name}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.AdjustmentReasonController",
    "Method": "GetAll",
    "RelativePath": "api/AdjustmentReason/GetAll",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "ConfirmEmail",
    "RelativePath": "api/Authentication/confirmemail",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "token",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "ForgotPassword",
    "RelativePath": "api/Authentication/forgot-password",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "GenerateQRCodeAsync",
    "RelativePath": "api/Authentication/generate-qr-code",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "Login",
    "RelativePath": "api/Authentication/login",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "loginModel",
        "Type": "phronCare.API.Models.Authentication.Login.LoginModel",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "LoginWithOTP",
    "RelativePath": "api/Authentication/login-2FA",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "code",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "username",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "Register",
    "RelativePath": "api/Authentication/register",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "registerUser",
        "Type": "phronCare.API.Models.Authentication.SingUp.RegisterUser",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "ResetPassword",
    "RelativePath": "api/Authentication/reset-password",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "token",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.AuthenticationController",
    "Method": "ResetPassword",
    "RelativePath": "api/Authentication/reset-password",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "resetPassword",
        "Type": "phronCare.API.Models.Authentication.SingUp.ResetPassword",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.BusinessUnitController",
    "Method": "GetById",
    "RelativePath": "api/BusinessUnit/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EBusinessUnit",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.BusinessUnitController",
    "Method": "Delete",
    "RelativePath": "api/BusinessUnit/{id}",
    "HttpMethod": "DELETE",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.BusinessUnitController",
    "Method": "GetAll",
    "RelativePath": "api/BusinessUnit/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.BusinessUnitController",
    "Method": "Create",
    "RelativePath": "api/BusinessUnit/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "unit",
        "Type": "Domain.Entities.EBusinessUnit",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.BusinessUnitController",
    "Method": "Search",
    "RelativePath": "api/BusinessUnit/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "term",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.BusinessUnitController",
    "Method": "Update",
    "RelativePath": "api/BusinessUnit/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "unit",
        "Type": "Domain.Entities.EBusinessUnit",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.CustomerController",
    "Method": "GetById",
    "RelativePath": "api/Customer/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.ECustomer",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.CustomerController",
    "Method": "GetAll",
    "RelativePath": "api/Customer/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.CustomerController",
    "Method": "Create",
    "RelativePath": "api/Customer/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "customer",
        "Type": "Domain.Entities.ECustomer",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.CustomerController",
    "Method": "ExportFiltered",
    "RelativePath": "api/Customer/exportfiltered",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "searchParams",
        "Type": "Domain.Generics.CustomerSearchParams",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.CustomerController",
    "Method": "Search",
    "RelativePath": "api/Customer/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "document",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.CustomerController",
    "Method": "Update",
    "RelativePath": "api/Customer/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "customer",
        "Type": "Domain.Entities.ECustomer",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.DocumentTypeController",
    "Method": "GetAll",
    "RelativePath": "api/DocumentType/GetAll",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.DocumentTypeController",
    "Method": "GetByName",
    "RelativePath": "api/DocumentType/GetByName/{name}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Integrations.ExchangeRateController",
    "Method": "GetByDateAsync",
    "RelativePath": "api/ExchangeRate/{date}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "date",
        "Type": "System.DateTime",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EExchangeRateHistory",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Integrations.ExchangeRateController",
    "Method": "GetYesterdayAsync",
    "RelativePath": "api/ExchangeRate/yesterday",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EExchangeRateHistory",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.InstitutionController",
    "Method": "GetById",
    "RelativePath": "api/Institution/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EInstitution",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.InstitutionController",
    "Method": "GetAll",
    "RelativePath": "api/Institution/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.InstitutionController",
    "Method": "Create",
    "RelativePath": "api/Institution/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "institution",
        "Type": "Domain.Entities.EInstitution",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.InstitutionController",
    "Method": "ExportFiltered",
    "RelativePath": "api/Institution/exportfiltered",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "searchParams",
        "Type": "Domain.Generics.InstitutionSearchParams",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.InstitutionController",
    "Method": "Search",
    "RelativePath": "api/Institution/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "type",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "province",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.InstitutionController",
    "Method": "Update",
    "RelativePath": "api/Institution/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "institution",
        "Type": "Domain.Entities.EInstitution",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "BussinessUnits",
    "RelativePath": "api/LookUp/bussinessunits",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.ELookUpItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "Customers",
    "RelativePath": "api/LookUp/customers",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.ELookUpItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "Institutions",
    "RelativePath": "api/LookUp/institutions",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.ELookUpItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "Patients",
    "RelativePath": "api/LookUp/patients",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.ELookUpItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "People",
    "RelativePath": "api/LookUp/people",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.ELookUpItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "Products",
    "RelativePath": "api/LookUp/products",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.EProductLookupItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.LookUpController",
    "Method": "Professionals",
    "RelativePath": "api/LookUp/professionals",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "q",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[Domain.Entities.ELookUpItem, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PatientController",
    "Method": "GetById",
    "RelativePath": "api/Patient/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EPatient",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PatientController",
    "Method": "GetAll",
    "RelativePath": "api/Patient/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PatientController",
    "Method": "Create",
    "RelativePath": "api/Patient/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "patient",
        "Type": "Domain.Entities.EPatient",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PatientController",
    "Method": "ExportFiltered",
    "RelativePath": "api/Patient/exportfiltered",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "searchParams",
        "Type": "Domain.SearchParams.PatientSearchParams",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PatientController",
    "Method": "Search",
    "RelativePath": "api/Patient/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "document",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PatientController",
    "Method": "Update",
    "RelativePath": "api/Patient/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "patient",
        "Type": "Domain.Entities.EPatient",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.PdfTestController",
    "Method": "GetTestPdf",
    "RelativePath": "api/PdfTest/test",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "GetById",
    "RelativePath": "api/People/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "GetAll",
    "RelativePath": "api/People/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "Create",
    "RelativePath": "api/People/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "person",
        "Type": "Domain.Entities.EPerson",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "Delete",
    "RelativePath": "api/People/delete/{id}",
    "HttpMethod": "DELETE",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "ExportFilteredPeople",
    "RelativePath": "api/People/exportfiltered",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "searchParams",
        "Type": "Domain.Generics.PeopleSearchParams",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "SearchAsync",
    "RelativePath": "api/People/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.PeopleController",
    "Method": "Update",
    "RelativePath": "api/People/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "person",
        "Type": "Domain.Entities.EPerson",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductController",
    "Method": "GetById",
    "RelativePath": "api/Product/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EProduct",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductController",
    "Method": "GetAll",
    "RelativePath": "api/Product/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductController",
    "Method": "Create",
    "RelativePath": "api/Product/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "product",
        "Type": "Domain.Entities.EProduct",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductController",
    "Method": "ExportFiltered",
    "RelativePath": "api/Product/exportfiltered",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "searchParams",
        "Type": "Domain.Generics.ProductSearchParams",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductController",
    "Method": "Search",
    "RelativePath": "api/Product/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "term",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductController",
    "Method": "Update",
    "RelativePath": "api/Product/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "product",
        "Type": "Domain.Entities.EProduct",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductCategoryController",
    "Method": "GetById",
    "RelativePath": "api/ProductCategory/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EProductCategory",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductCategoryController",
    "Method": "Delete",
    "RelativePath": "api/ProductCategory/{id}",
    "HttpMethod": "DELETE",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductCategoryController",
    "Method": "GetAll",
    "RelativePath": "api/ProductCategory/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductCategoryController",
    "Method": "Create",
    "RelativePath": "api/ProductCategory/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "category",
        "Type": "Domain.Entities.EProductCategory",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductCategoryController",
    "Method": "Search",
    "RelativePath": "api/ProductCategory/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "term",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProductCategoryController",
    "Method": "Update",
    "RelativePath": "api/ProductCategory/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "category",
        "Type": "Domain.Entities.EProductCategory",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalController",
    "Method": "GetById",
    "RelativePath": "api/Professional/{id}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "id",
        "Type": "System.Int32",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Entities.EProfessional",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalController",
    "Method": "GetAll",
    "RelativePath": "api/Professional/all",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalController",
    "Method": "Create",
    "RelativePath": "api/Professional/create",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "professional",
        "Type": "Domain.Entities.EProfessional",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalController",
    "Method": "ExportFiltered",
    "RelativePath": "api/Professional/exportfiltered",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "searchParams",
        "Type": "Domain.Generics.ProfessionalSearchParams",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalController",
    "Method": "Search",
    "RelativePath": "api/Professional/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "fullname",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "document",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "type",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalController",
    "Method": "Update",
    "RelativePath": "api/Professional/update",
    "HttpMethod": "PUT",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "professional",
        "Type": "Domain.Entities.EProfessional",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalSpecialtyController",
    "Method": "GetAll",
    "RelativePath": "api/ProfessionalSpecialty/GetAll",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.ProfessionalSpecialtyController",
    "Method": "GetByName",
    "RelativePath": "api/ProfessionalSpecialty/GetByName/{name}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.QuoteController",
    "Method": "CreateFullQuote",
    "RelativePath": "api/Quote/createfull",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "phronCare.API.Controllers.Sales.QuoteController\u002BCreateFullQuoteRequest",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.QuoteController",
    "Method": "Search",
    "RelativePath": "api/Quote/search",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "customerId",
        "Type": "System.Nullable\u00601[[System.Int32, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": false
      },
      {
        "Name": "customerText",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "quoteNumber",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "professionalId",
        "Type": "System.Nullable\u00601[[System.Int32, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": false
      },
      {
        "Name": "professionalText",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "institutionId",
        "Type": "System.Nullable\u00601[[System.Int32, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": false
      },
      {
        "Name": "institutionText",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "patientId",
        "Type": "System.Nullable\u00601[[System.Int32, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": false
      },
      {
        "Name": "patientText",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "issueDateFrom",
        "Type": "System.Nullable\u00601[[System.DateTime, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": false
      },
      {
        "Name": "issueDateTo",
        "Type": "System.Nullable\u00601[[System.DateTime, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": false
      },
      {
        "Name": "status",
        "Type": "System.String",
        "IsRequired": false
      },
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "pageSize",
        "Type": "System.Int32",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "Domain.Generics.PagedResult\u00601[[Core.Dtos.QuoteDto, Domain, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.TaxConditionController",
    "Method": "GetAll",
    "RelativePath": "api/TaxCondition/GetAll",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.TaxConditionController",
    "Method": "GetByName",
    "RelativePath": "api/TaxCondition/GetByName/{name}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "name",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Sales.TaxTypeController",
    "Method": "GetAll",
    "RelativePath": "api/TaxType/GetAll",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.TestController",
    "Method": "GetAdministradores",
    "RelativePath": "api/Test/administradores",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[System.String, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.TestController",
    "Method": "GetEmpleados",
    "RelativePath": "api/Test/empleados",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "System.Collections.Generic.IEnumerable\u00601[[System.String, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "phronCare.API.Controllers.Tickets.TicketController",
    "Method": "ExportDashboardDetail",
    "RelativePath": "api/Ticket/ExportDashboardDetail",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "parameters",
        "Type": "Domain.Entities.GenericParameters\u00605[[System.String, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.String, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Tickets.TicketController",
    "Method": "GetDashboardDetail",
    "RelativePath": "api/Ticket/GetDashboardDetail",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "parameters",
        "Type": "Domain.Entities.GenericParameters\u00605[[System.String, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.String, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=8.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Tickets.TicketController",
    "Method": "GetSummary",
    "RelativePath": "api/Ticket/GetSummary",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": []
  },
  {
    "ContainingType": "phronCare.API.Controllers.Tickets.TicketController",
    "Method": "InsertTicket",
    "RelativePath": "api/Ticket/InsertTicket",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "ticket",
        "Type": "Domain.Entities.ETicket",
        "IsRequired": true
      }
    ],
    "ReturnTypes": []
  }
]